<?php
/**
 * Footer Before Content.
 * Footer Main Content.
 *
 * @package Technologist
 */

defined( 'WPINC' ) || exit;

if ( ! class_exists( 'Technologist_Footer' ) ) {
	/**
	 * Footer main class.
	 */
	class Technologist_Footer extends Technologist_Base {

		/**
		 * Constructor
		 */
		public function __construct() {
			$this->add_action( 'wp_footer', 'tracking_field', 999 );
			$this->add_action( 'technologist_footer_content', 'get_footer', 10 );
		}

		/**
		 * Add tracking field code
		 */
		public function tracking_field() {
			echo technologist_get_settings( 'mts_analytics_code' ); // phpcs:ignore
		}

		/**
		 * Get Footer structure
		 */
		public function get_footer() {
			?>
			<footer<?php technologist_attr( 'footer' ); ?>>

			<?php
			// Elementor 'footer' location.
			if ( ! technologist_is_elementor( 'footer' ) ) {

				if ( technologist_get_settings( 'mts_top_footer' ) ) {
					technologist_footer_widget_columns();
				}

				?>

				<div class="footer-section">
					<div class="container">
					<?php
					$this->get_footer_logo();
					technologist_social_icons( technologist_get_settings( 'footer_social_icons' ), 'footer', true );
					?>
					</div>
				</div>

				<?php

				technologist_footer_copyrights();

			}
			?>

			</footer><!--#site-footer-->
			<?php
		}

		/**
		 * Get Footer logo
		 */
		public function get_footer_logo() {

			if ( ! technologist_get_settings( 'enable_footer_logo' ) ) {
				return;
			}

			?>
			<div class="footer-logo-wrap">
				<?php technologist_logo( [], 'footer' ); ?>
			</div>
			<?php
		}

	}
}

/**
 * Init
 */
new Technologist_Footer();
