<?php
/**
 * Back to top
 *
 * @package Technologist
 */

$menus['footer']['child']['footer-back-to-top'] = [
	'title' => esc_html__( 'Back to Top', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the back to top button.', 'technologist' ),
];

// Dependency check that back to top option is enable.
$top_button_dependency = [
	'relation' => 'and',
	[
		'field'      => 'show_top_button',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['footer-back-to-top'] = [

	[
		'id'       => 'show_top_button',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Top Button', 'technologist' ),
		'sub_desc' => esc_html__( 'Enable or disable back to top button with this option.', 'technologist' ),
		'std'      => '1',
	],
	[
		'id'       => 'top_icon',
		'type'     => 'icon_select',
		'title'    => esc_html__( 'Select Icon', 'technologist' ),
		'sub_desc' => esc_html__( 'Select icon for back to top button.', 'technologist' ),
		'std'      => 'angle-up',
	],
	[
		'id'       => 'top_text',
		'type'     => 'text',
		'title'    => esc_html__( 'Top text', 'technologist' ),
		'sub_desc' => esc_html__( 'Enter the top text.', 'technologist' ),
		'std'      => 'top',
	],
	[
		'id'         => 'top_button_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Icon Color', 'technologist' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'technologist' ),
		'args'       => [ 'opacity' => true ],
		'std'        => '#ffffff',
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_color_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Icon Hover Color', 'technologist' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'technologist' ),
		'args'       => [ 'opacity' => true ],
		'std'        => '#ffffff',
		'dependency' => $top_button_dependency,
	],

	[
		'id'         => 'top_button_background',
		'type'       => 'color',
		'title'      => esc_html__( 'Background', 'technologist' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'technologist' ),
		'args'       => [ 'opacity' => true ],
		'std'        => '#19202d',
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_background_hover',
		'type'       => 'color',
		'title'      => esc_html__( 'Background Hover', 'technologist' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'technologist' ),
		'args'       => [ 'opacity' => true ],
		'std'        => '#5c6370',
		'dependency' => $top_button_dependency,
	],

	[
		'id'         => 'top_button_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set Top button padding from here.', 'technologist' ),
		'std'        => [
			'top'    => technologist_px2rem( '11px' ),
			'right'  => technologist_px2rem( '16px' ),
			'bottom' => technologist_px2rem( '13px' ),
			'left'   => technologist_px2rem( '16px' ),
		],
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'Top Button Position', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set top button position from here.', 'technologist' ),
		'std'        => [
			'top'    => 'auto',
			'right'  => technologist_px2rem( '30px' ),
			'bottom' => technologist_px2rem( '80px' ),
			'left'   => 'auto',
		],
		'dependency' => $top_button_dependency,
	],
	[
		'id'         => 'top_button_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Border Radius', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set border radius of top button in px.', 'technologist' ),
		'std'        => '8',
		'args'       => [ 'type' => 'number' ],
		'dependency' => $top_button_dependency,
	],

	[
		'id'         => 'top_button_border',
		'type'       => 'border',
		'title'      => esc_html__( 'Border', 'technologist' ),
		'sub_desc'   => esc_html__( 'Select border', 'technologist' ),
		'dependency' => $top_button_dependency,
	],

	[
		'id'    => 'top_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Top text Font', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Top',
			'preview-color'  => 'dark',
			'font-family'    => 'Big Shoulders Display',
			'font-weight'    => '600',
			'font-size'      => '16px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'letter-spacing' => technologist_letter_spacing( '16px', '125' ),
			'css-selectors'  => '#move-to-top .top-text',
		],
	],
];
