<?php
/**
 * Logo and Icons Tab
 *
 * @package Technologist
 */

$menus['footer']['child']['footer-logo'] = [
	'title' => esc_html__( 'Logo and Icons', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the elements of footer logo and socail icons section.', 'technologist' ),
];

$footer_section_dependency = [
	'relation' => 'and',
	[
		'field'      => 'enable_footer_section',
		'value'      => '1',
		'comparison' => '==',
	],
];

$logo_dependency   = $footer_section_dependency;
$logo_dependency[] = [
	'field'      => 'enable_footer_logo',
	'value'      => '1',
	'comparison' => '==',
];

$sections['footer-logo'] = [

	[
		'id'       => 'enable_footer_section',
		'type'     => 'switch',
		'title'    => esc_html__( 'Logo and Social Icons Section', 'technologist' ),
		'sub_desc' => esc_html__( 'Use this button to show or hide logo and social icons section in the footer.', 'technologist' ),
		'std'      => '1',
	],

	[
		'id'         => 'enable_footer_logo',
		'type'       => 'switch',
		'title'      => esc_html__( 'Show/Hide Logo', 'technologist' ),
		'sub_desc'   => esc_html__( 'Use this button to show or hide logo in the footer.', 'technologist' ),
		'std'        => '1',
		'dependency' => $footer_section_dependency,
	],
	[
		'id'         => 'footer_logo',
		'type'       => 'upload',
		'title'      => esc_html__( 'Upload Logo', 'technologist' ),
		'sub_desc'   => esc_html__( 'Select an image file for your logo shown in footer.', 'technologist' ),
		'return'     => 'id',
		'dependency' => $logo_dependency,
	],
	[
		'id'         => 'footer_logo_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Logo Font', 'technologist' ),
		'std'        => [
			'preview-text'   => 'Technologist',
			'preview-color'  => 'dark',
			'font-family'    => 'Big Shoulders Display',
			'font-weight'    => '600',
			'font-size'      => '22px',
			'color'          => '#ffffff',
			'additional-css' => 'text-transform: uppercase;',
			'letter-spacing' => technologist_letter_spacing( '22px', '50' ),
			'css-selectors'  => '.footer-logo-wrap #logo a',
		],
		'dependency' => $logo_dependency,
	],

	[
		'id'         => 'footer_social_icons',
		'title'      => esc_html__( 'Footer Social Icons', 'technologist' ),
		'sub_desc'   => esc_html__( 'Add Social Media icons in footer.', 'technologist' ),
		'type'       => 'group',
		'groupname'  => esc_html__( 'Footer Icon', 'technologist' ), // Group name.
		'subfields'  => [
			[
				'id'    => 'footer_icon_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'technologist' ),
			],
			[
				'id'    => 'footer_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'technologist' ),
			],
			[
				'id'    => 'footer_icon_link',
				'type'  => 'text',
				'title' => esc_html__( 'URL', 'technologist' ),
			],
			[
				'id'    => 'footer_icon_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon background color', 'technologist' ),
			],
			[
				'id'    => 'footer_icon_hover_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon background hover color', 'technologist' ),
			],
			[
				'id'    => 'footer_icon_color',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon color', 'technologist' ),
			],
			[
				'id'    => 'footer_icon_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon hover color', 'technologist' ),
			],
			[
				'id'    => 'footer_icon_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Header icon Margin', 'technologist' ),
			],
			[
				'id'    => 'footer_icon_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Header icon Padding', 'technologist' ),
			],
			[
				'id'    => 'footer_icon_border_radius',
				'type'  => 'text',
				'class' => 'small-text',
				'title' => esc_html__( 'Header icon border radius', 'technologist' ),
				'args'  => [ 'type' => 'number' ],
			],
		],
		'std'        => [
			'facebook'  => [
				'group_title'               => 'Facebook',
				'group_sort'                => '1',
				'footer_icon_title'         => 'Facebook',
				'footer_icon'               => 'facebook',
				'footer_icon_link'          => '#',
				'footer_icon_bgcolor'       => '',
				'footer_icon_hover_bgcolor' => '',
				'footer_icon_color'         => '#ffffff',
				'footer_icon_hover_color'   => '#808080',
				'footer_icon_margin'        => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				],
				'footer_icon_padding'       => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				],
				'footer_icon_border_radius' => '0',
			],
			'twitter'   => [
				'group_title'               => 'Twitter',
				'group_sort'                => '2',
				'footer_icon_title'         => 'Twitter',
				'footer_icon'               => 'twitter',
				'footer_icon_link'          => '#',
				'footer_icon_bgcolor'       => '',
				'footer_icon_hover_bgcolor' => '',
				'footer_icon_color'         => '#ffffff',
				'footer_icon_hover_color'   => '#808080',
				'footer_icon_margin'        => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				],
				'footer_icon_padding'       => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				],
				'footer_icon_border_radius' => '0',
			],
			'Linkedin'  => [
				'group_title'               => 'Linkedin',
				'group_sort'                => '3',
				'footer_icon_title'         => 'Linkedin',
				'footer_icon'               => 'linkedin',
				'footer_icon_link'          => '#',
				'footer_icon_bgcolor'       => '',
				'footer_icon_hover_bgcolor' => '',
				'footer_icon_color'         => '#ffffff',
				'footer_icon_hover_color'   => '#808080',
				'footer_icon_margin'        => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				],
				'footer_icon_padding'       => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				],
				'footer_icon_border_radius' => '0',
			],
			'Instagram' => [
				'group_title'               => 'Instagram',
				'group_sort'                => '4',
				'footer_icon_title'         => 'Instagram',
				'footer_icon'               => 'instagram',
				'footer_icon_link'          => '#',
				'footer_icon_bgcolor'       => '',
				'footer_icon_hover_bgcolor' => '',
				'footer_icon_color'         => '#ffffff',
				'footer_icon_hover_color'   => '#808080',
				'footer_icon_margin'        => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '16px',
				],
				'footer_icon_padding'       => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				],
				'footer_icon_border_radius' => '0',
			],
		],
		'dependency' => $footer_section_dependency,
	],

	[
		'id'         => 'footer_section_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set margin from here.', 'technologist' ),
		'std'        => [
			'top'    => technologist_px2rem( '44px' ),
			'right'  => '0',
			'bottom' => technologist_px2rem( '16px' ),
			'left'   => '0',
		],
		'dependency' => $footer_section_dependency,
	],
	[
		'id'         => 'footer_section_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set padding from here.', 'technologist' ),
		'std'        => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
		'dependency' => $footer_section_dependency,
	],

];
