<?php
/**
 * Footer Styling
 *
 * @package Technologist
 */

$menus['footer']['child']['footer-styling'] = [
	'title' => esc_html__( 'Styling', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the styling of footer section.', 'technologist' ),
];

$footer_dependency = [
	'relation' => 'and',
	[
		'field'      => 'mts_top_footer',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['footer-styling'] = [

	[
		'id'         => 'footer_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Footer Margin', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set footer margin from here.', 'technologist' ),
		'std'        => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
		'dependency' => $footer_dependency,
	],
	[
		'id'         => 'footer_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Footer Padding', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set footer padding from here.', 'technologist' ),
		'std'        => [
			'top'    => technologist_px2rem( '59px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
		'dependency' => $footer_dependency,
	],
	[
		'id'       => 'footer_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Footer Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select border', 'technologist' ),
	],
	[
		'id'         => 'footer_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Footer Background', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set footer background color, pattern and image from here.', 'technologist' ),
		'options'    => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'        => [
			'color'         => '#000000',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
		'dependency' => $footer_dependency,
	],

	[
		'id'    => 'copyrights_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Copyrights Styling', 'technologist' ),
	],

	[
		'id'       => 'mts_copyrights_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Copyrights Background', 'technologist' ),
		'sub_desc' => esc_html__( 'Set copyrights background color, pattern and image from here.', 'technologist' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#000000',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'copyrights_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select border', 'technologist' ),
		'std'      => [
			'color'     => '#404040',
			'direction' => 'top',
			'size'      => '1',
			'style'     => 'solid',
		],
	],
	[
		'id'       => 'copyrights_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Copyrights Margin', 'technologist' ),
		'sub_desc' => esc_html__( 'Set copyrights margin from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'copyrights_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Copyrights Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set copyrights padding from here.', 'technologist' ),
		'std'      => [
			'top'    => technologist_px2rem( '22px' ),
			'right'  => '0',
			'bottom' => technologist_px2rem( '38px' ),
			'left'   => '0',
		],
	],

	[
		'id'    => 'footer_typography_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography', 'technologist' ),
	],

	[
		'id'    => 'top_footer_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Widget Title', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Footer Title Font',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '800',
			'font-size'     => '15px',
			'color'         => '#ffffff',
			'css-selectors' => '.footer-widgets h3',
		],
	],

	[
		'id'    => 'top_footer_link_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Link', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Footer Links',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'color'         => '#ffffff',
			'css-selectors' => '.f-widget a, footer .wpt_widget_content a, footer .wp_review_tab_widget_content a, footer .wpt_tab_widget_content a, footer .widget .wp_review_tab_widget_content a',
		],
	],

	[
		'id'    => 'mts_footer_widget_links',
		'type'  => 'typography',
		'title' => esc_html__( 'MTS Footer Widgets Links', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Footer Links',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '16px',
			'line-height'    => technologist_line_height( '16px', '20' ),
			'color'          => '#ffffff',
			'letter-spacing' => technologist_letter_spacing( '16px', '-31' ),
			'css-selectors'  => '.f-widget .widget li.horizontal-small .post-title a, .f-widget .widget .wpt_widget_content .entry-title a, .f-widget .widget .wp_review_tab_widget_content .entry-title a, .f-widget .widget .vertical-small .post-title a, .f-widget .widget li.vertical-small .post-title, .f-widget .widget .review_thumb_large .entry-title a',
		],
	],

	[
		'id'    => 'top_footer_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Footer Font',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => technologist_line_height( '14px', '20' ),
			'color'         => '#ffffff',
			'css-selectors' => '#site-footer .f-widget p, .footer-widgets, .f-widget .top-posts .comment_num, footer .meta, footer .twitter_time, footer .widget .wpt_widget_content .wpt-postmeta, footer .widget .wpt_comment_content, footer .widget .wpt_excerpt, footer .wp_review_tab_widget_content .wp-review-tab-postmeta, footer .advanced-recent-posts p, footer .popular-posts p, footer .category-posts p, .f-widget .wp-subscribe-wrap .wps-consent-wrapper label, .disclaimer',
		],
	],
	[
		'id'    => 'footer_metainfo_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Footer Meta Info font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Footer Meta Info Font',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'line-height'   => '1.2',
			'color'         => '#ffffff',
			'css-selectors' => '.f-widget .widget .post-info, .f-widget .widget .post-info a',
		],
	],
	[
		'id'    => 'copyrights_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Copyrights Section', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Copyrights Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '300',
			'font-size'      => '12px',
			'color'          => '#ffffff',
			'letter-spacing' => technologist_letter_spacing( '12px', '18' ),
			'css-selectors'  => '#copyright-note, #copyright-note a, .footer-nav a',
		],
	],

];
