<?php
/**
 * Footer Tab
 *
 * @package Technologist
 */

$menus['footer'] = [
	'icon'  => 'fa-table',
	'title' => esc_html__( 'Footer', 'technologist' ),
];

$menus['footer']['child']['footer-general'] = [
	'title' => esc_html__( 'General', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the elements of footer section.', 'technologist' ),
];

$sections['footer-general'] = [

	[
		'id'       => 'mts_top_footer',
		'type'     => 'switch',
		'title'    => esc_html__( 'Footer', 'technologist' ),
		'sub_desc' => esc_html__( 'Enable or disable footer with this option.', 'technologist' ),
		'std'      => '0',
	],

	[
		'id'         => 'mts_top_footer_num',
		'type'       => 'button_set',
		'class'      => 'green',
		'title'      => esc_html__( 'Footer Layout', 'technologist' ),
		'sub_desc'   => wp_kses( __( 'Choose the number of widget areas in the <strong>footer</strong>', 'technologist' ), [ 'strong' => '' ] ),
		'options'    => [
			'3' => esc_html__( '3 Widgets', 'technologist' ),
			'4' => esc_html__( '4 Widgets', 'technologist' ),
			'5' => esc_html__( '5 Widgets', 'technologist' ),
		],
		'std'        => '5',
		'dependency' => [
			'relation' => 'and',
			[
				'field'      => 'mts_top_footer',
				'value'      => '1',
				'comparison' => '==',
			],
		],
	],

	[
		'id'       => 'mts_copyrights',
		'type'     => 'textarea',
		'title'    => esc_html__( 'Copyrights Text', 'technologist' ),
		'sub_desc' => esc_html__( 'You can change or remove our link from footer and use your own custom text.', 'technologist' ) . ( MTS_THEME_WHITE_LABEL ? '' : wp_kses( __( '(You can also use your affiliate link to <strong>earn 55% of sales</strong>. Ex: <a href="https://mythemeshop.com/go/aff/aff" target="_blank">https://mythemeshop.com/?ref=username</a>)', 'technologist' ), [ 'strong' => '', 'a' => [ 'href' => [], 'target' => [] ] ] ) ),
		// translators: Default value.
		'std'      => MTS_THEME_WHITE_LABEL ? null : sprintf( __( 'Theme by %s', 'technologist' ), '<a href="https://mythemeshop.com/" rel="nofollow">MyThemeShop</a>' ),
	],

];
