<?php
/**
 * Header Search
 *
 * @package Technologist
 */

$menus['header']['child']['header-search'] = [
	'title' => esc_html__( 'Search Box', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the styling of header search box.', 'technologist' ),
];

$search_box_dependency = [
	'relation' => 'and',
	[
		'field'      => 'hide_search_box',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['header-search'] = [

	[
		'id'       => 'hide_search_box',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show/Hide Search Box', 'technologist' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Search Box</strong> completely.', 'technologist' ), [ 'strong' => '' ] ),
		'std'      => '1',
	],
	[
		'id'         => 'search_icon_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Search Icon Color', 'technologist' ),
		'sub_desc'   => esc_html__( 'Select search icon color from here.', 'technologist' ),
		'args'       => [ 'opacity' => true ],
		'std'        => 'rgb(43,55,74)',
		'dependency' => $search_box_dependency,
	],
	[
		'id'         => 'search_box_position',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Search Box Position', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set search box position from top in px.', 'technologist' ),
		'args'       => [ 'type' => 'number' ],
		'std'        => '16',
		'dependency' => $search_box_dependency,
	],

	[
		'id'    => 'search_box_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Search Box Font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'What are you looking for?',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '15px',
			'color'         => '#48556a',
			'css-selectors' => '.header-search-box #s',
		],
	],

];
