<?php
/**
 * Ticker Posts
 *
 * @package Technologist
 */

$menus['header']['child']['header-ticker'] = [
	'title' => esc_html__( 'Trending Ticker', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the styling of header search box.', 'technologist' ),
];

$ticker_dependency = [
	'relation' => 'and',
	[
		'field'      => 'trending_posts',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['header-ticker'] = [

	[
		'id'       => 'trending_posts',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show/Hide Trending Ticker', 'technologist' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide <strong>Trending Ticker</strong> completely.', 'technologist' ), [ 'strong' => '' ] ),
		'std'      => '1',
	],
	[
		'id'         => 'trending_category',
		'type'       => 'select',
		'title'      => esc_html__( 'Category', 'technologist' ),
		'sub_desc'   => esc_html__( 'Select a category or the latest posts to filter posts for this section', 'technologist' ),
		'std'        => 'latest',
		'data'       => 'categories',
		'args'       => [
			'include_latest' => 1,
			'hide_empty'     => 0,
		],
		'dependency' => $ticker_dependency,
	],
	[
		'id'         => 'trending_post_num',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Number of posts', 'technologist' ),
		'sub_desc'   => esc_html__( 'Enter the number of posts to show in this section.', 'technologist' ),
		'args'       => [ 'type' => 'number' ],
		'std'        => '4',
		'dependency' => $ticker_dependency,
	],

	[
		'id'         => 'ticker_title',
		'type'       => 'heading_text',
		'title'      => esc_html__( 'Trending Title', 'technologist' ),
		'sub_desc'   => esc_html__( 'Enter the trending title to show in the trending section.', 'technologist' ),
		'std'        => [
			'heading' => 'Now Trending',
			'tag'     => 'div',
		],
		'dependency' => $ticker_dependency,
	],

	// Typography.
	[
		'id'         => 'ticker_typography_heading',
		'type'       => 'heading',
		'title'      => esc_html__( 'Typography', 'technologist' ),
		'dependency' => $ticker_dependency,
	],
	[
		'id'         => 'ticker_title_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Trending Title', 'technologist' ),
		'std'        => [
			'preview-text'   => 'Now Trending',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '13px',
			'color'          => '#ffffff',
			'margin-bottom'  => '0px',
			'letter-spacing' => technologist_letter_spacing( '13px', -19 ),
			'css-selectors'  => '.trending-ticker .ticker-title',
		],
		'dependency' => $ticker_dependency,
	],
	[
		'id'         => 'ticker_posts_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Trending Posts', 'technologist' ),
		'std'        => [
			'preview-text'   => 'Trending Posts',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '13px',
			'color'          => '#a3a6ab',
			'letter-spacing' => technologist_letter_spacing( '13px', -19 ),
			'css-selectors'  => '.trending-ticker li a',
		],
		'dependency' => $ticker_dependency,
	],

	// Styling.
	[
		'id'         => 'ticker_typography_styling',
		'type'       => 'heading',
		'title'      => esc_html__( 'Styling', 'technologist' ),
		'dependency' => $ticker_dependency,
	],

	[
		'id'         => 'ticker_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Background', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'technologist' ),
		'options'    => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'        => [
			'color'         => '#19202d',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
		'dependency' => $ticker_dependency,
	],

];
