<?php
/**
 * Header Tab
 *
 * @package Technologist
 */

$menus['header'] = [
	'icon'  => 'fa-header',
	'title' => esc_html__( 'Header', 'technologist' ),
];

$menus['header']['child']['header-general'] = [
	'title' => esc_html__( 'General', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the elements of header section.', 'technologist' ),
];

$default_header_only = [
	'relation' => 'and',
	[
		'field'      => 'header_styles',
		'value'      => 'header-default',
		'comparison' => '==',
	],
];
$header_layout2_only = [
	'relation' => 'and',
	[
		'field'      => 'header_styles',
		'value'      => 'header-layout2',
		'comparison' => '==',
	],
];

$sections['header-general'] = [

	[
		'id'       => 'header_styles',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Header Styling', 'technologist' ),
		'sub_desc' => wp_kses( __( 'Choose the <strong>Header design</strong> for your site.', 'technologist' ), [ 'strong' => '' ] ),
		'options'  => [
			'header-default' => [ 'img' => $uri . 'headers/header-default.jpg' ],
			'header-layout2' => [ 'img' => $uri . 'headers/header-layout2.jpg' ],
		],
		'std'      => 'header-default',
	],

	[
		'id'    => 'header_general_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Header General Settings', 'technologist' ),
	],

	[
		'id'       => 'sticky_nav',
		'type'     => 'switch',
		'title'    => esc_html__( 'Floating Navigation Menu', 'technologist' ),
		// translators: Floating Navigation Menu with strong tag.
		'sub_desc' => sprintf( esc_html__( 'Use this button to enable %s.', 'technologist' ), '<strong>' . esc_html__( 'Floating Navigation Menu', 'technologist' ) . '</strong>' ),
		'std'      => '0',
	],
	[
		'id'         => 'sticky_responsive_nav',
		'type'       => 'switch',
		'title'      => esc_html__( 'Floating Navigation Responsive', 'technologist' ),
		'sub_desc'   => wp_kses( __( 'Use this button to Show or Hide the <strong>Floating Navigation Menu</strong> on Responsive screen.', 'technologist' ), [ 'strong' => '' ] ),
		'std'        => '0',
		'dependency' => [
			'relation' => 'and',
			[
				'field'      => 'sticky_nav',
				'value'      => '1',
				'comparison' => '==',
			],
		],
	],

	[
		'id'       => 'header_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Margin', 'technologist' ),
		'sub_desc' => esc_html__( 'Set header margin from here.', 'technologist' ),
		'left'     => false,
		'right'    => false,
		'std'      => [
			'top'    => '0',
			'bottom' => '0',
		],
	],
	[
		'id'       => 'header_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Header Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set header padding from here.', 'technologist' ),
		'left'     => false,
		'right'    => false,
		'std'      => [
			'top'    => '0',
			'bottom' => '0',
		],
	],

	[
		'id'       => 'header_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select border.', 'technologist' ),
	],

	[
		'id'       => 'header_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Header Background', 'technologist' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'technologist' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#ffffff',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],

	[
		'id'       => 'hide_logo',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show/Hide Logo', 'technologist' ),
		'sub_desc' => wp_kses( __( 'Use this button to Show or Hide the <strong>Logo</strong> completely.', 'technologist' ), [ 'strong' => '' ] ),
		'std'      => '1',
	],
	[
		'id'       => 'logo_styling',
		'type'     => 'switch',
		'title'    => esc_html__( 'Logo Styling', 'technologist' ),
		'sub_desc' => esc_html__( 'Enable or disable text logo styling from here.', 'technologist' ),
		'std'      => '1',
	],
	[
		'id'         => 'logo_bg_color',
		'type'       => 'color',
		'title'      => esc_html__( 'Logo Background Color', 'technologist' ),
		'sub_desc'   => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'technologist' ),
		'std'        => '#19202d',
		'dependency' => $logo_dependency,
	],
	[
		'id'         => 'logo_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Logo Padding', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set logo padding from here.', 'technologist' ),
		'std'        => [
			'top'    => '0',
			'right'  => '6px',
			'bottom' => '0',
			'left'   => '6px',
		],
		'dependency' => $logo_dependency,
	],

	[
		'id'         => 'header_social_icons',
		'title'      => esc_html__( 'Header Social Icons', 'technologist' ),
		'sub_desc'   => esc_html__( 'Add Social Media icons in header.', 'technologist' ),
		'type'       => 'group',
		'groupname'  => esc_html__( 'Header Icon', 'technologist' ), // Group name.
		'subfields'  => [
			[
				'id'    => 'header_icon_title',
				'type'  => 'text',
				'title' => esc_html__( 'Title', 'technologist' ),
			],
			[
				'id'    => 'header_icon',
				'type'  => 'icon_select',
				'title' => esc_html__( 'Icon', 'technologist' ),
			],
			[
				'id'    => 'header_icon_link',
				'type'  => 'text',
				'title' => esc_html__( 'URL', 'technologist' ),
			],
			[
				'id'    => 'header_icon_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon background color', 'technologist' ),
			],
			[
				'id'    => 'header_icon_hover_bgcolor',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon background hover color', 'technologist' ),
			],
			[
				'id'    => 'header_icon_color',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon color', 'technologist' ),
			],
			[
				'id'    => 'header_icon_hover_color',
				'type'  => 'color',
				'title' => esc_html__( 'Header icon hover color', 'technologist' ),
			],
			[
				'id'    => 'header_icon_margin',
				'type'  => 'margin',
				'title' => esc_html__( 'Header icon Margin', 'technologist' ),
			],
			[
				'id'    => 'header_icon_padding',
				'type'  => 'margin',
				'title' => esc_html__( 'Header icon Padding', 'technologist' ),
			],
			[
				'id'    => 'header_icon_border_radius',
				'type'  => 'text',
				'class' => 'small-text',
				'title' => esc_html__( 'Header icon border radius', 'technologist' ),
				'args'  => [ 'type' => 'number' ],
			],
		],
		'std'        => [
			'facebook'  => [
				'group_title'               => 'Facebook',
				'group_sort'                => '1',
				'header_icon_title'         => 'Facebook',
				'header_icon'               => 'facebook-official',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => '',
				'header_icon_hover_bgcolor' => '',
				'header_icon_color'         => '#19202d',
				'header_icon_hover_color'   => '#a3aab4',
				'header_icon_margin'        => [
					'top'    => '0',
					'right'  => '16px',
					'bottom' => '0',
					'left'   => '0',
				],
				'header_icon_padding'       => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				],
				'header_icon_border_radius' => '0',
			],
			'twitter'   => [
				'group_title'               => 'Twitter',
				'group_sort'                => '2',
				'header_icon_title'         => 'Twitter',
				'header_icon'               => 'twitter',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => '',
				'header_icon_hover_bgcolor' => '',
				'header_icon_color'         => '#19202d',
				'header_icon_hover_color'   => '#a3aab4',
				'header_icon_margin'        => [
					'top'    => '0',
					'right'  => '16px',
					'bottom' => '0',
					'left'   => '0',
				],
				'header_icon_padding'       => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				],
				'header_icon_border_radius' => '0',
			],
			'instagram' => [
				'group_title'               => 'Instagram',
				'group_sort'                => '3',
				'header_icon_title'         => 'Instagram',
				'header_icon'               => 'instagram',
				'header_icon_link'          => '#',
				'header_icon_bgcolor'       => '',
				'header_icon_hover_bgcolor' => '',
				'header_icon_color'         => '#19202d',
				'header_icon_hover_color'   => '#a3aab4',
				'header_icon_margin'        => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				],
				'header_icon_padding'       => [
					'top'    => '0',
					'right'  => '0',
					'bottom' => '0',
					'left'   => '0',
				],
				'header_icon_border_radius' => '0',
			],

		],
		'dependency' => $header_layout2_only,
	],

	// Nav Settings.
	[
		'id'    => 'header_nav_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Nav Settings', 'technologist' ),
	],
	[
		'id'       => 'main_nav_dropdown_bg',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Background Color', 'technologist' ),
		'sub_desc' => esc_html__( 'Select dropdown background color for navigation from here.', 'technologist' ),
		'std'      => '#ffffff',
	],
	[
		'id'       => 'main_navigation_dropdown_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Color', 'technologist' ),
		'sub_desc' => esc_html__( 'Select dropdown text color for navigation from here.', 'technologist' ),
		'std'      => '#48556a',
	],
	[
		'id'       => 'main_navigation_dropdown_hover_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Dropdown Text Hover Color', 'technologist' ),
		'sub_desc' => esc_html__( 'Select dropdown text hover color for navigation from here.', 'technologist' ),
		'std'      => '#a3aab4',
	],

	// Header layout Default.
	[
		'id'         => 'header_nav_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Nav Margin', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set nav margin from here.', 'technologist' ),
		'std'        => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
		'dependency' => $default_header_only,
	],
	[
		'id'         => 'header_nav_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Nav Padding', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set nav padding from here.', 'technologist' ),
		'right'      => false,
		'left'       => false,
		'std'        => [
			'top'    => technologist_px2rem( '24px' ),
			'bottom' => technologist_px2rem( '24px' ),
		],
		'dependency' => $default_header_only,
	],

	// Header layout 2.
	[
		'id'         => 'header2_nav_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Nav Margin', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set nav margin from here.', 'technologist' ),
		'std'        => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
		'dependency' => $header_layout2_only,
	],
	[
		'id'         => 'header2_nav_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Nav Padding', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set nav padding from here.', 'technologist' ),
		'std'        => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
		'dependency' => $header_layout2_only,
	],

];
