<?php
/**
 * Sidebars Styling
 *
 * @package Technologist
 */

$menus['sidebars-styling'] = [
	'icon'  => 'fa fa-adjust',
	'title' => esc_html__( 'Styling', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the styling of sidebars.', 'technologist' ),
];

$sections['sidebars-styling'] = [

	[
		'id'    => 'sidebar_title_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Title Styling', 'technologist' ),
	],

	[
		'id'       => 'sidebar_title_styling_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Sidebar Title Styling Background', 'technologist' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'technologist' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#19202d',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'sidebar_title_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Title Margin', 'technologist' ),
		'sub_desc' => esc_html__( 'Set sidebar title margin from here.', 'technologist' ),
		'left'     => false,
		'right'    => false,
		'std'      => [
			'top'    => '0',
			'bottom' => technologist_px2rem( '32px' ),
		],
	],
	[
		'id'       => 'sidebar_title_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Title Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set sidebar title padding from here.', 'technologist' ),
		'std'      => [
			'top'    => '2px',
			'right'  => '16px',
			'bottom' => '2px',
			'left'   => '16px',
		],
	],
	[
		'id'       => 'widget_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select border.', 'technologist' ),
		'std'        => [
			'style'     => 'solid',
			'color'     => '#d5dadd',
			'size'      => '1',
			'direction' => 'bottom',
		],
	],

	[
		'id'    => 'sidebar_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Sidebar Styling', 'technologist' ),
	],

	[
		'id'       => 'sidebar_styling_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Sidebar Styling Background', 'technologist' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'technologist' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'sidebar_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Margin', 'technologist' ),
		'sub_desc' => esc_html__( 'Set sidebar margin from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => technologist_px2rem( '56px' ),
			'left'   => '0',
		],
	],
	[
		'id'       => 'sidebar_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Sidebar Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set sidebar padding from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'sidebar_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select border', 'technologist' ),
	],
	[
		'id'       => 'sidebar_styling_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'technologist' ),
		'sub_desc' => esc_html__( 'Enter border radius for sidebar widgets.', 'technologist' ),
		'args'     => [ 'type' => 'number' ],
		'std'      => '0',
	],
	[
		'id'       => 'sidebar_category_bgcolor',
		'type'     => 'color',
		'title'    => esc_html__( 'Categories background color', 'technologist' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'technologist' ),
		'std'      => '#ffffff',
	],

	[
		'id'    => 'sidebar_tags_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Tags', 'technologist' ),
	],
	[
		'id'       => 'tags_bgcolor',
		'type'     => 'color',
		'title'    => esc_html__( 'Tags background color', 'technologist' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'technologist' ),
		'std'      => '#eff0f1',
	],

	[
		'id'    => 'sidebar_typography_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography', 'technologist' ),
	],

	[
		'id'    => 'sidebar_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Widget Title', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Sidebar Title Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Big Shoulders Display',
			'font-weight'    => '600',
			'font-size'      => '20px',
			'color'          => '#ffffff',
			'letter-spacing' => technologist_letter_spacing( '20px', '125' ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget h3.widget-title, #sidebar .widget h3.widget-title a',
		],
	],

	[
		'id'    => 'mts_widget_links',
		'type'  => 'typography',
		'title' => esc_html__( 'MTS Widgets Links', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Sidebar Links',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '16px',
			'line-height'    => technologist_line_height( '16px', '20' ),
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '16px', '-19' ),
			'css-selectors'  => '#sidebar .widget li.horizontal-small .post-title a, #sidebar .widget .wpt_widget_content .entry-title a, #sidebar .widget .wp_review_tab_widget_content .entry-title a',
		],
	],

	[
		'id'    => 'default_widget_links',
		'type'  => 'typography',
		'title' => esc_html__( 'Default Widgets Link', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Default Widgets',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '16px',
			'line-height'   => technologist_line_height( '16px', '30' ),
			'color'         => '#19202d',
			'css-selectors' => '#sidebar .widget li a, #sidebar .widget.widget_categories li a, #sidebar .widget.widget_archive li a, #sidebar .widget.widget_pages li a, #sidebar .widget.widget_meta li a, #sidebar .widget.widget_recent_comments li a, #sidebar .widget.widget_recent_entries li a, #sidebar .widget.widget_rss, #sidebar .widget.widget_nav_menu li a',
		],
	],

	[
		'id'    => 'sidebar_url_bigthumb',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Links on Big Thumb', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Sidebar Links Big Thumb',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '16px',
			'line-height'    => '1.1',
			'color'          => '#19202d',
			'margin-top'     => '9px',
			'letter-spacing' => technologist_letter_spacing( '16px', '-19' ),
			'css-selectors'  => '#sidebar .widget .vertical-small a, #sidebar .widget li.vertical-small, #sidebar .widget .review_thumb_large .entry-title a',
		],
	],

	[
		'id'    => 'sidebar_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Sidebar Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => technologist_line_height( '14px', '22' ),
			'color'         => '#19202d',
			'css-selectors' => '#sidebar .widget p, #sidebar .widget .post-excerpt, .widget .wp-subscribe-wrap .wps-consent-wrapper label, .aboutme-widget .aboutme-description',
		],
	],

	[
		'id'    => 'sidebar_font_bigthumb',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Font bigthumb', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Sidebar Font bigthumb',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => technologist_line_height( '14px', '22' ),
			'color'         => '#19202d',
			'css-selectors' => '#sidebar .widget .vertical-small p, #sidebar .widget .vertical-small .post-excerpt',
		],
	],
	[
		'id'            => 'sidebar_categories_font',
		'type'          => 'typography',
		'title'         => esc_html__( 'Categories Font', 'technologist' ),
		'margin-top'    => false,
		'margin-bottom' => false,
		'std'           => [
			'preview-text'   => 'Categories Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '600',
			'font-size'      => '10px',
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '10px', '154' ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget .thecategory a, footer .widget .thecategory a',
		],
	],
	[
		'id'    => 'sidebar_postinfo_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Postinfo Font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Sidebar Postinfo Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '12px',
			'line-height'   => '1.2',
			'color'         => '#7f7f7f',
			'css-selectors' => '#sidebar .widget .post-info, #sidebar .widget .post-info a, #sidebar .wpt_widget_content .wpt-postmeta, .widget .wp_review_tab_widget_content .wp-review-tab-postmeta',
		],
	],

	[
		'id'    => 'sidebar_postinfo_font_bigthumb',
		'type'  => 'typography',
		'title' => esc_html__( 'Sidebar Postinfo Font bigthumb', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Sidebar Postinfo Font bigthumb',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '13px',
			'line-height'   => '1.2',
			'color'         => '#7f7f7f',
			'css-selectors' => '#sidebar .widget .vertical-small .post-info, #sidebar .widget .vertical-small .post-info a, .widget .wp_review_tab_widget_content .review_thumb_large .wp-review-tab-postmeta, .wpt_comment_content, .wpt_excerpt, #sidebar .widget .vertical-small .readMore a',
		],
	],

	[
		'id'    => 'sidebar_buttons_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Button Font', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Button Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Big Shoulders Display',
			'font-weight'    => '600',
			'font-size'      => '16px',
			'line-height'    => '1',
			'color'          => '#ffffff',
			'letter-spacing' => technologist_letter_spacing( '16px', '125' ),
			'css-selectors'  => '.button, .instagram-button a, .widget #wp-subscribe input.submit',
		],
	],

	[
		'id'    => 'tabs_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Tabs Title', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Tabs Title Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '12px',
			'line-height'    => '1.1',
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '12px', '208' ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#sidebar .widget .wp_review_tab_widget_content .tab_title a, #sidebar .widget .wpt_widget_content .tab_title a, .f-widget .widget .wp_review_tab_widget_content .tab_title a, .f-widget .widget .wpt_widget_content .tab_title a',
		],
	],

];
