<?php
/**
 * Breadcrumbs Styling
 *
 * @package Technologist
 */

$menus['single-breadcrumbs'] = [
	'icon'  => 'fa-exchange',
	'title' => esc_html__( 'Breadcrumbs', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the appearance of breadcrumbs.', 'technologist' ),
];

$breadcrumbs_dependency = [
	'relation' => 'and',
	[
		'field'      => 'show_breadcrumb',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['single-breadcrumbs'] = [

	[
		'id'       => 'show_breadcrumb',
		'type'     => 'switch',
		'title'    => esc_html__( 'Breadcrumbs', 'technologist' ),
		'sub_desc' => esc_html__( 'Breadcrumbs are a great way to make your site more user-friendly. You can enable them by checking this box.', 'technologist' ),
		'std'      => '0',
	],

	[
		'id'         => 'breadcrumb_background',
		'type'       => 'background',
		'title'      => esc_html__( 'Background', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set background color, pattern and image from here.', 'technologist' ),
		'options'    => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'        => [
			'color'         => '#19202d',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
		'dependency' => $breadcrumbs_dependency,
	],

	[
		'id'         => 'breadcrumb_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Margin', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set breadcrumb margin from here.', 'technologist' ),
		'left'       => false,
		'right'      => false,
		'std'        => [
			'top'    => '0px',
			'bottom' => '32px',
		],
		'dependency' => $breadcrumbs_dependency,
	],
	[
		'id'         => 'breadcrumb_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Padding', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set breadcrumb padding from here.', 'technologist' ),
		'std'        => [
			'top'    => '10px',
			'right'  => '20px',
			'bottom' => '10px',
			'left'   => '20px',
		],
		'dependency' => $breadcrumbs_dependency,
	],
	[
		'id'         => 'breadcrumb_border_radius',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Border Radius', 'technologist' ),
		'sub_desc'   => esc_html__( 'Enter border radius for breadcrumb.', 'technologist' ),
		'args'       => [ 'type' => 'number' ],
		'std'        => '0',
		'dependency' => $breadcrumbs_dependency,
	],

	[
		'id'         => 'breadcrumb_font',
		'type'       => 'typography',
		'title'      => esc_html__( 'Breadcrumbs Font', 'technologist' ),
		'std'        => [
			'preview-text'  => 'Breadcrumbs',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '300',
			'font-size'     => '14px',
			'line-height'   => '1',
			'color'         => '#ffffff',
			'css-selectors' => '.breadcrumb, .rank-math-breadcrumb, .breadcrumb a, .rank-math-breadcrumb a',
		],
		'dependency' => $breadcrumbs_dependency,
	],

];
