<?php
/**
 * Single Comments
 *
 * @package Technologist
 */

$menus['single-comments'] = [
	'icon'  => 'fa-comment-o',
	'title' => esc_html__( 'Comments Section', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Comments box in single posts page.', 'technologist' ),
];

$author_dependency = [
	'relation' => 'and',
	[
		'field'      => 'author_comment',
		'value'      => '1',
		'comparison' => '==',
	],
];

$sections['single-comments'] = [

	[
		'id'    => 'comments_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'General Settings', 'technologist' ),
	],
	[
		'id'       => 'mts_comment_date',
		'type'     => 'switch',
		'title'    => esc_html__( 'Date in Comments', 'technologist' ),
		'sub_desc' => esc_html__( 'Use this button to show the date for comments.', 'technologist' ),
		'std'      => '1',
	],
	[
		'id'       => 'comments_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'technologist' ),
		'sub_desc' => esc_html__( 'Set Comments box margin from here.', 'technologist' ),
		'std'      => [
			'top'    => technologist_px2rem( '63px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'comments_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set Comments box padding from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],

	[
		'id'    => 'comments_list_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'List Settings', 'technologist' ),
	],
	[
		'id'       => 'comments_list_image_size',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Comment Image Size', 'technologist' ),
		'sub_desc' => esc_html__( 'Set comment image size from here.', 'technologist' ),
		'std'      => '80',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'comments_list_image_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Image Margin', 'technologist' ),
		'sub_desc' => esc_html__( 'Set image margin from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => technologist_px2rem( '31px' ),
			'bottom' => technologist_px2rem( '10px' ),
			'left'   => '0',
		],
	],
	[
		'id'       => 'comments_list_image_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Comment Image Border Radius', 'technologist' ),
		'sub_desc' => esc_html__( 'Set comment image border radius from here.', 'technologist' ),
		'std'      => '80',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'comments_list_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Comment Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Manage comment list border from here.', 'technologist' ),
	],
	[
		'id'       => 'comments_list_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Comment Margin', 'technologist' ),
		'sub_desc' => esc_html__( 'Set Comments margin from here.', 'technologist' ),
		'std'      => [
			'top'    => technologist_px2rem( '34px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'comments_list_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Comment Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set Comments padding from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],

	[
		'id'    => 'comments_author_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Author Comments Settings', 'technologist' ),
	],

	[
		'id'       => 'author_comment',
		'type'     => 'switch',
		'title'    => esc_html__( 'Highlight Author Comment', 'technologist' ),
		'sub_desc' => esc_html__( 'Use this button to highlight author comments.', 'technologist' ),
		'std'      => '1',
	],
	[
		'id'         => 'author_comment_bg',
		'type'       => 'color',
		'title'      => esc_html__( 'Author Comment Background', 'technologist' ),
		'sub_desc'   => esc_html__( 'Use this option to change background color.', 'technologist' ),
		'std'        => '#ffffff',
		'dependency' => $author_dependency,
	],
	[
		'id'         => 'comments_list_author_margin',
		'type'       => 'margin',
		'title'      => esc_html__( 'Author Comment Margin', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set author comments margin from here.', 'technologist' ),
		'std'        => [
			'top'    => technologist_px2rem( '25px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
		'dependency' => $author_dependency,
	],
	[
		'id'         => 'comments_list_author_padding',
		'type'       => 'margin',
		'title'      => esc_html__( 'Author Comment Padding', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set author comments padding from here.', 'technologist' ),
		'std'        => [
			'top'    => technologist_px2rem( '24px' ),
			'right'  => technologist_px2rem( '30px' ),
			'bottom' => technologist_px2rem( '24px' ),
			'left'   => technologist_px2rem( '30px' ),
		],
		'dependency' => $author_dependency,
	],

	[
		'id'    => 'comments_typo_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Comments Typography Settings', 'technologist' ),
	],

	[
		'id'    => 'comments_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Title Font', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Author Name',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '16px',
			'color'          => '#000000',
			'additional-css' => 'text-transform: capitalize;',
			'css-selectors'  => '#comments .fn, #comments .fn a',
		],
	],
	[
		'id'    => 'comments_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Meta Info Font', 'technologist' ),
		'std'   => [
			'preview-text'  => '27 September',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'color'         => '#7b7d7e',
			'css-selectors' => '#comments .ago',
		],
	],
	[
		'id'    => 'comments_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Comments Text Font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Comments Text',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '15px',
			'line-height'   => technologist_line_height( '15px', '25' ),
			'color'         => '#000000',
			'css-selectors' => '.commentmetadata .commenttext p',
		],
	],
];
