<?php
/**
 * Single Related Posts
 *
 * @package Technologist
 */

$menus['single-related'] = [
	'icon'  => 'fa-arrows-alt',
	'title' => esc_html__( 'Related Posts', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Related posts in single posts page.', 'technologist' ),
];

$sections['single-related'] = [

	[
		'id'       => 'related_posts_position',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Related Posts Position', 'technologist' ),
		'sub_desc' => esc_html__( 'Choose the position for related posts, below content will be Full width', 'technologist' ),
		'options'  => [
			'default' => esc_html__( 'Default', 'technologist' ),
			'full'    => esc_html__( 'Below Content', 'technologist' ),
		],
		'std'      => 'full',
	],
	[
		'id'       => 'related_posts_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Related Posts Background', 'technologist' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'technologist' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],

	[
		'id'       => 'related_posts_layouts',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Related Posts Layouts', 'technologist' ),
		'sub_desc' => esc_html__( 'Choose the Related Posts layouts for your site.', 'technologist' ),
		'options'  => [
			'default' => [ 'img' => $uri . 'related/r1.jpg' ],
			'rpost-2' => [ 'img' => $uri . 'related/r2.jpg' ],
			'rpost-3' => [ 'img' => $uri . 'related/r3.jpg' ],
			'rpost-4' => [ 'img' => $uri . 'related/r4.jpg' ],
			'rpost-5' => [ 'img' => $uri . 'related/r5.jpg' ],
		],
		'std'      => 'default',
	],

	[
		'id'         => 'related_posts_grid',
		'type'       => 'select',
		'class'      => 'small',
		'title'      => esc_html__( 'Grid', 'technologist' ),
		'sub_desc'   => esc_html__( 'Select the number of grid for Related Posts.', 'technologist' ),
		'options'    => [
			'grid2' => esc_html__( '2', 'technologist' ),
			'grid3' => esc_html__( '3', 'technologist' ),
			'grid4' => esc_html__( '4', 'technologist' ),
		],
		'std'        => 'grid4',
		'dependency' => [
			'relation' => 'and',
			[
				'field'      => 'related_posts_layouts',
				'value'      => 'default',
				'comparison' => '==',
			],
			[
				'field'      => 'related_posts_position',
				'value'      => 'full',
				'comparison' => '==',
			],
		],
	],
	[
		'id'       => 'mts_related_postsnum',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Number of related posts', 'technologist' ),
		'sub_desc' => esc_html__( 'Enter the number of posts to show in the related posts section.', 'technologist' ),
		'args'     => [ 'type' => 'number' ],
		'std'      => '4',
	],
	[
		'id'       => 'related_post_title',
		'type'     => 'heading_text',
		'title'    => esc_html__( 'Related Posts Title', 'technologist' ),
		'sub_desc' => esc_html__( 'Enter the title text to show in the related posts section.', 'technologist' ),
		'std'      => [
			'heading' => 'Related Posts',
			'tag'     => 'h4',
		],
	],
	[
		'id'       => 'related_post_title_bg',
		'type'     => 'color',
		'title'    => esc_html__( 'Title Background Color', 'technologist' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'technologist' ),
		'std'      => '#19202d',
	],
	[
		'id'       => 'related_post_title_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Title Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set section title padding from here.', 'technologist' ),
		'std'      => [
			'top'    => '2px',
			'right'  => '16px',
			'bottom' => '2px',
			'left'   => '16px',
		],
	],
	[
		'id'       => 'related_post_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Title Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select title border', 'technologist' ),
		'std'      => [
			'style'     => 'solid',
			'color'     => '#d5dadd',
			'size'      => '1',
			'direction' => 'bottom',
		],
	],
	[
		'id'       => 'related_post_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Title Font', 'technologist' ),
		'sub_desc' => esc_html__( 'Manage Title typography of Tags, Related Posts, Comments and Reply from here.', 'technologist' ),
		'std'      => [
			'preview-text'   => 'Related Posts',
			'preview-color'  => 'dark',
			'font-family'    => 'Big Shoulders Display',
			'font-weight'    => '600',
			'font-size'      => '20px',
			'color'          => '#ffffff',
			'margin-bottom'  => '0px',
			'letter-spacing' => technologist_letter_spacing( '20px', '125' ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.related-posts .main-title',
		],
	],

	[
		'id'         => 'related_posts_adcode',
		'type'       => 'ace_editor',
		'mode'       => 'html',
		'title'      => esc_html__( 'Related Posts Ad', 'technologist' ),
		'sub_desc'   => esc_html__( 'Paste your Adsense, BSA or other ad code here to show ads in Related Posts Area.', 'technologist' ),
		'dependency' => [
			'relation' => 'or',
			[
				'field'      => 'related_posts_layouts',
				'value'      => 'rpost-4',
				'comparison' => '==',
			],
			[
				'field'      => 'related_posts_layouts',
				'value'      => 'rpost-5',
				'comparison' => '==',
			],
		],
	],

	[
		'id'       => 'related_post_image_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Post Image Border Radius', 'technologist' ),
		'sub_desc' => esc_html__( 'Related post image border radius.', 'technologist' ),
		'std'      => '8',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'related_meta_info',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Post Meta Info', 'technologist' ),
		'sub_desc' => esc_html__( 'Show or hide post meta info.', 'technologist' ),
		'options'  => [
			'category' => esc_html__( 'Category', 'technologist' ),
			'author'   => esc_html__( 'Author Name', 'technologist' ),
			'date'     => esc_html__( 'Date', 'technologist' ),
			'comment'  => esc_html__( 'Comments', 'technologist' ),
		],
		'std'      => [
			'category',
			'author',
			'date',
		],
	],

	[
		'id'       => 'related_show_excerpt',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show/Hide Excerpt', 'technologist' ),
		'sub_desc' => esc_html__( 'Enable or disable the excerpt to show in the related posts section.', 'technologist' ),
		'std'      => '0',
	],
	[
		'id'         => 'related_excerpt_length',
		'type'       => 'text',
		'class'      => 'small-text',
		'title'      => esc_html__( 'Excerpt Length', 'technologist' ),
		'sub_desc'   => esc_html__( 'Enter excerpt length to show in the related posts section.', 'technologist' ),
		'args'       => [ 'type' => 'number' ],
		'std'        => '20',
		'dependency' => [
			'relation' => 'or',
			[
				'field'      => 'related_show_excerpt',
				'value'      => '1',
				'comparison' => '==',
			],
		],
	],

	[
		'id'       => 'related_posts_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'technologist' ),
		'sub_desc' => esc_html__( 'Set related posts margin from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'related_posts_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set related posts padding from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],

	[
		'id'       => 'related_posts_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select border', 'technologist' ),
	],
	[
		'id'       => 'related_posts_categories_bg',
		'type'     => 'color',
		'title'    => esc_html__( 'Categories Background Color', 'technologist' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'technologist' ),
		'std'      => '#ffffff',
	],
	[
		'id'    => 'related_posts_categories_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Categories Typography', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Categories Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '600',
			'font-size'      => '10px',
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '10px', '154' ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.related-posts .post-info.top, .related-posts .post-info.top a',
		],
	],
	[
		'id'    => 'related_posts_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Related Posts Title', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Related Posts Title',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '16px',
			'line-height'    => '1',
			'color'          => '#19202d',
			'margin-top'     => '14px',
			'letter-spacing' => technologist_letter_spacing( '16px', '-19' ),
			'css-selectors'  => '.related-posts .latestPost .title a',
		],
	],
	[
		'id'    => 'related_posts_meta_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Related Posts Meta Info', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Related Posts Meta Info Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '500',
			'font-size'     => '13px',
			'color'         => '#878d94',
			'margin-top'    => '-5px',
			'css-selectors' => '.related-posts .post-info.bottom, .related-posts .post-info.bottom a',
		],
	],
	[
		'id'    => 'related_posts_excerpt_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Related Posts Excerpt', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Related Posts Excerpt Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '13px',
			'margin-top'     => '5px',
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '13px', '-19' ),
			'css-selectors'  => '.related-posts .front-view-content',
		],
	],

	[
		'id'    => 'related_posts_article_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Related Posts Articles', 'technologist' ),
	],

	[
		'id'       => 'related_article_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Related Posts Background', 'technologist' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'technologist' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'related_article_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Articles Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set related posts articles padding from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'related_article_text_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Articles Text Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set related posts articles text padding from here.', 'technologist' ),
		'std'      => [
			'top'    => technologist_px2rem( '15px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],

];
