<?php
/**
 * Single Styling
 *
 * @package Technologist
 */

$menus['single-styling'] = [
	'icon'  => 'fa-paint-brush',
	'title' => esc_html__( 'Single Styling', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'technologist' ),
];

$sections['single-styling'] = [

	[
		'id'    => 'single_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Titles Styling', 'technologist' ),
	],

	[
		'id'       => 'single_title_alignment',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Single Page Title Alignment', 'technologist' ),
		'sub_desc' => esc_html__( 'Choose the single page title alignment', 'technologist' ),
		'options'  => [
			'left'   => esc_html__( 'Left', 'technologist' ),
			'center' => esc_html__( 'Center', 'technologist' ),
			'right'  => esc_html__( 'Right', 'technologist' ),
		],
		'std'      => 'left',
	],

	[
		'id'       => 'single_title_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Single Page Title Background Color', 'technologist' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'technologist' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'single_title_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Page Title Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set single page title padding from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'single_title_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select border', 'technologist' ),
	],

	[
		'id'    => 'mts_single_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Single Styling', 'technologist' ),
	],

	[
		'id'       => 'single_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'technologist' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image of Single, Page, Archive, Search, Category and 404 Page from here.', 'technologist' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'single_categories_bg_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Categories Background Color', 'technologist' ),
		'sub_desc' => esc_html__( 'The theme comes with unlimited color schemes for your theme\'s styling.', 'technologist' ),
		'std'      => '#ffffff',
	],
	[
		'id'       => 'mts_single_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Margin', 'technologist' ),
		'sub_desc' => esc_html__( 'Set single post margin from here.', 'technologist' ),
		'left'     => false,
		'right'    => false,
		'std'      => [
			'top'    => '0',
			'bottom' => technologist_px2rem( '86px' ),
		],
	],
	[
		'id'       => 'mts_single_styling_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Single Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set single post padding from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'single_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select border', 'technologist' ),
	],

	[
		'id'       => 'single_styling_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'technologist' ),
		'sub_desc' => esc_html__( 'Enter border radius for single post.', 'technologist' ),
		'args'     => [ 'type' => 'number' ],
		'std'      => '0',
	],

	[
		'id'    => 'single_categories_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Categories Typography', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Categories Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '600',
			'font-size'      => '13px',
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '13px', '154' ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.single-full-header .post-info.top, .single-full-header .post-info.top a',
		],
	],
	[
		'id'    => 'single_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Post Title', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Single Article Title',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => technologist_px2rem( '48px' ),
			'line-height'    => '1',
			'margin-top'     => '17px',
			'margin-bottom'  => '0px',
			'color'          => '#ffffff',
			'letter-spacing' => technologist_letter_spacing( '48px', '-19' ),
			'css-selectors'  => '.single-title',
		],
	],
	[
		'id'    => 'single_meta_info_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Meta Info Font', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Post Meta Info Font',
			'preview-color'  => 'dark',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '13px',
			'color'          => '#ffffff',
			'letter-spacing' => technologist_letter_spacing( '13px', '-19' ),
			'css-selectors'  => '.single-full-header .post-info.bottom, .single-full-header .post-info.bottom a',
		],
	],

];
