<?php
/**
 * Single Subscribe
 *
 * @package Technologist
 */

$menus['single-subscribe'] = [
	'icon'  => 'fa-envelope-open-o',
	'title' => esc_html__( 'Subscribe Box', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of Subscribe box in single posts page.', 'technologist' ),
];

$sections['single-subscribe'] = [

	[
		'id'    => 'single_subscribe_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Settings', 'technologist' ),
	],
	[
		'id'       => 'single_subscribe_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Subscribe box Background', 'technologist' ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image for subscribe box from here.', 'technologist' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#e7ebee',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'single_subscribe_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Margin', 'technologist' ),
		'sub_desc' => esc_html__( 'Set Subscribe box margin from here.', 'technologist' ),
		'std'      => [
			'top'    => technologist_px2rem( '40px' ),
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'       => 'single_subscribe_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set Subscribe box padding from here.', 'technologist' ),
		'std'      => [
			'top'    => technologist_px2rem( '40px' ),
			'right'  => technologist_px2rem( '46px' ),
			'bottom' => technologist_px2rem( '34px' ),
			'left'   => technologist_px2rem( '46px' ),
		],
	],
	[
		'id'       => 'single_subscribe_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select border', 'technologist' ),
	],
	[
		'id'       => 'single_subscribe_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'technologist' ),
		'sub_desc' => esc_html__( 'Subscribe box border radius.', 'technologist' ),
		'std'      => '0',
		'args'     => [ 'type' => 'number' ],
	],

	[
		'id'    => 'single_subscribe_title_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Title Settings', 'technologist' ),
	],
	[
		'id'    => 'single_subscribe_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Title Font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Get more stuff',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'margin-bottom' => '16px',
			'line-height'   => '1',
			'color'         => '#19202d',
			'css-selectors' => '.single-subscribe .widget #wp-subscribe .title',
		],
	],
	[
		'id'    => 'single_subscribe_text_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Text Settings', 'technologist' ),
	],
	[
		'id'    => 'single_subscribe_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Text Font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Get notified of the best deals on our WordPress themes.',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'line-height'   => technologist_line_height( '14px', '24' ),
			'color'         => '#19202d',
			'css-selectors' => '.single-subscribe .widget #wp-subscribe p.text, .single-subscribe .widget .wp-subscribe .wps-consent-wrapper label, .single-subscribe .widget .wp-subscribe-wrap .error, .single-subscribe .widget .wp-subscribe-wrap .thanks',
		],
	],
	[
		'id'    => 'single_subscribe_input_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Input Settings', 'technologist' ),
	],
	[
		'id'       => 'single_subscribe_input_height',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Height', 'technologist' ),
		'sub_desc' => esc_html__( 'Subscribe box input fields height.', 'technologist' ),
		'std'      => '48',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'single_subscribe_input_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'technologist' ),
		'sub_desc' => esc_html__( 'Subscribe box input fields border radius.', 'technologist' ),
		'std'      => '0',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'single_subscribe_input_border',
		'type'     => 'border2',
		'title'    => esc_html__( 'Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select border', 'technologist' ),
		'std'      => [
			'top'    => '1',
			'right'  => '0',
			'bottom' => '1',
			'left'   => '1',
			'color'  => '#d5d5d5',
			'style'  => 'solid',
		],
	],
	[
		'id'    => 'single_subscribe_input_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Input Fields Font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Enter your email',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '14px',
			'color'         => '#19202d',
			'css-selectors' => '.single-subscribe .widget #wp-subscribe input.email-field, .single-subscribe .widget #wp-subscribe input.name-field, .widget #wp-subscribe input.email-field, .widget #wp-subscribe input.name-field',
		],
	],
	[
		'id'    => 'single_subscribe_submit_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box Submit Settings', 'technologist' ),
	],
	[
		'id'       => 'single_subscribe_submit_backgroud',
		'type'     => 'color',
		'title'    => esc_html__( 'Background Color', 'technologist' ),
		'sub_desc' => esc_html__( 'Submit button background color', 'technologist' ),
		'std'      => '#19202d',
	],
	[
		'id'       => 'single_subscribe_submit_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'technologist' ),
		'sub_desc' => esc_html__( 'Subscribe box submit button border radius.', 'technologist' ),
		'std'      => '0',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'single_subscribe_submit_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select border', 'technologist' ),
	],
	[
		'id'       => 'single_subscribe_submit_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set subscribe submit button padding from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => '0',
		],
	],
	[
		'id'    => 'single_subscribe_submit_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Submit Button Font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Sign up now',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '14px',
			'color'         => '#ffffff',
			'css-selectors' => '.single-subscribe .widget #wp-subscribe input.submit',
		],
	],
	[
		'id'    => 'single_subscribe_small_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe box small text Settings', 'technologist' ),
	],
	[
		'id'    => 'single_subscribe_small_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Subscribe Small Text Font', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Subscribe Small Text',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '400',
			'font-size'      => '13px',
			'line-height'    => '1.4',
			'color'          => '#19202d',
			'additional-css' => 'opacity: 0.75;',
			'css-selectors'  => '.single-subscribe .widget .wp-subscribe-wrap p.footer-text',
		],
	],
];
