<?php
/**
 * Single Tab
 *
 * @package Technologist
 */

$menus['single-general'] = [
	'icon'  => 'fa-file-o',
	'title' => esc_html__( 'General', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the appearance and functionality of your single posts page.', 'technologist' ),
];

$sections['single-general'] = [

	[
		'id'       => 'show_single_featured',
		'type'     => 'switch',
		'title'    => esc_html__( 'Show Featured image', 'technologist' ),
		'sub_desc' => esc_html__( 'Enable/Disable the Featured images in the single post.', 'technologist' ),
		'std'      => '1',
	],

	[
		'id'       => 'mts_single_post_layout',
		'type'     => 'layout2',
		'title'    => esc_html__( 'Single Post Layout', 'technologist' ),
		'sub_desc' => esc_html__( 'Customize the look of single posts', 'technologist' ),
		'options'  => [
			'enabled'  => [
				'content' => [
					'label'     => esc_html__( 'Post Content', 'technologist' ),
					'subfields' => [],
				],
				'tags'    => [
					'label'     => esc_html__( 'Tags Section', 'technologist' ),
					'subfields' => [],
				],
				'author'  => [
					'label'     => esc_html__( 'Author Box', 'technologist' ),
					'subfields' => [],
				],
				'related' => [
					'label'     => esc_html__( 'Related Posts', 'technologist' ),
					'subfields' => [
						[
							'id'       => 'mts_related_posts_taxonomy',
							'type'     => 'switch',
							'title'    => esc_html__( 'Related Posts Taxonomy', 'technologist' ),
							'options'  => [
								'tags'       => esc_html__( 'Tags', 'technologist' ),
								'categories' => esc_html__( 'Categories', 'technologist' ),
							],
							'class'    => 'green',
							'sub_desc' => esc_html__( 'Related Posts based on tags or categories.', 'technologist' ),
							'std'      => 'categories',
						],
					],
				],
			],
			'disabled' => [
				'subscribe' => [
					'label'     => esc_html__( 'Subscribe Box', 'technologist' ),
					'subfields' => [],
				],
			],
		],
	],
	[
		'id'       => 'single_meta_info',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Post Meta Info', 'technologist' ),
		'sub_desc' => esc_html__( 'Organize how you want the post meta info to appear on single page', 'technologist' ),
		'options'  => [
			'category' => esc_html__( 'Category', 'technologist' ),
			'author'   => esc_html__( 'Author Name', 'technologist' ),
			'date'     => esc_html__( 'Date', 'technologist' ),
			'comment'  => esc_html__( 'Comments', 'technologist' ),
		],
		'std'      => [
			'category',
			'author',
			'date',
		],
	],

];
