<?php
/**
 * Social Styling
 *
 * @package Technologist
 */

$menus['social']['child']['social-styling'] = [
	'title' => esc_html__( 'Styling', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the elements of social sharing buttons styling.', 'technologist' ),
];

$sections['social-styling'] = [

	[
		'id'    => 'social_styling_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Social Share Styling', 'technologist' ),
	],

	[
		'id'       => 'social_styling_margin',
		'type'     => 'margin',
		'title'    => esc_html__( 'Social Share Margin', 'technologist' ),
		'sub_desc' => esc_html__( 'Set social share buttons margin from here.', 'technologist' ),
		'std'      => [
			'top'    => '0',
			'right'  => '0',
			'bottom' => '0',
			'left'   => technologist_px2rem( '70px' ),
		],
	],

	[
		'id'         => 'social_floating_button_position',
		'type'       => 'margin',
		'title'      => esc_html__( 'Floating Social Share Position', 'technologist' ),
		'sub_desc'   => esc_html__( 'Set floating social share button position from here.', 'technologist' ),
		'std'        => [
			'top'    => 'auto',
			'right'  => 'auto',
			'bottom' => '71px',
			'left'   => '0px',
		],
		'dependency' => [
			'relation' => 'and',
			[
				'field'      => 'mts_social_button_position',
				'value'      => 'floating',
				'comparison' => '==',
			],
		],
	],
	[
		'id'       => 'social_styling_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select border', 'technologist' ),
	],
	[
		'id'       => 'social_styling_background',
		'type'     => 'background',
		'title'    => wp_kses( __( '<strong>Floating</strong> Social Share Background', 'technologist' ), [ 'strong' => [] ] ),
		'sub_desc' => esc_html__( 'Set background color, pattern and image from here.', 'technologist' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'social_share_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Share text', 'technologist' ),
		'sub_desc' => esc_html__( 'Manage Title typography of Tags, Comments and Reply from here.', 'technologist' ),
		'std'      => [
			'preview-text'  => 'Share this post',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'line-height'   => '1',
			'color'         => '#2b374a',
			'css-selectors' => '.share-wrap .share-text',
		],
	],

];
