<?php
/**
 * Social Tab
 *
 * @package Technologist
 */

$menus['social'] = [
	'icon'  => 'fa-users',
	'title' => esc_html__( 'Social Share', 'technologist' ),
	'desc'  => esc_html__( 'Enable or disable social sharing buttons on single posts using these buttons.', 'technologist' ),
];

$menus['social']['child']['social-general'] = [
	'title' => esc_html__( 'General', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the elements of social sharing buttons.', 'technologist' ),
];

$sections['social-general'] = [

	[
		'id'       => 'social_button_layout',
		'type'     => 'radio_img',
		'title'    => esc_html__( 'Social Sharing Buttons Layout', 'technologist' ),
		'sub_desc' => wp_kses( __( 'Choose default <strong>social sharing buttons</strong> layout or modern <strong>social sharing buttons</strong> layout for your site. ', 'technologist' ), [ 'strong' => [] ] ),
		'options'  => [
			'default'  => [ 'img' => $uri . 'social/default.jpg' ],
			'standard' => [ 'img' => $uri . 'social/standard.jpg' ],
			'circular' => [ 'img' => $uri . 'social/circular.jpg' ],
		],
		'std'      => 'circular',
	],

	[
		'id'       => 'mts_social_button_position',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Social Sharing Buttons Position', 'technologist' ),
		'options'  => [
			'top'      => esc_html__( 'Above Content', 'technologist' ),
			'bottom'   => esc_html__( 'Below Content', 'technologist' ),
			'both'     => esc_html__( 'Top and Bottom', 'technologist' ),
			'floating' => esc_html__( 'Floating', 'technologist' ),
		],
		'sub_desc' => esc_html__( 'Choose position for Social Sharing Buttons.', 'technologist' ),
		'std'      => 'bottom',
		'class'    => 'green',
	],

	[
		'id'       => 'mts_social_buttons_on_pages',
		'type'     => 'button_set',
		'title'    => esc_html__( 'Social Sharing Buttons on Pages', 'technologist' ),
		'options'  => [
			'0' => esc_html__( 'Off', 'technologist' ),
			'1' => esc_html__( 'On', 'technologist' ),
		],
		'sub_desc' => esc_html__( 'Enable the sharing buttons for pages too, not just posts.', 'technologist' ),
		'std'      => '0',
	],

	[
		'id'       => 'mts_social_buttons',
		'type'     => 'layout',
		'title'    => esc_html__( 'Social Media Buttons', 'technologist' ),
		'sub_desc' => esc_html__( 'Organize how you want the social sharing buttons to appear on single posts', 'technologist' ),
		'options'  => [
			'enabled'  => [
				'facebookshare' => esc_html__( 'Facebook Share', 'technologist' ),
				'twitter'       => esc_html__( 'Twitter', 'technologist' ),
				'pinterest'     => esc_html__( 'Pinterest', 'technologist' ),
			],
			'disabled' => [
				'facebook'  => esc_html__( 'Facebook Like', 'technologist' ),
				'whatsapp'  => esc_html__( 'WhatsApp', 'technologist' ),
				'linkedin'  => esc_html__( 'LinkedIn', 'technologist' ),
				'mix'       => esc_html__( 'Mix', 'technologist' ),
				'telegram'  => esc_html__( 'Telegram', 'technologist' ),
				'tumblr'    => esc_html__( 'Tumblr', 'technologist' ),
				'pocket'    => esc_html__( 'Pocket', 'technologist' ),
				'buffer'    => esc_html__( 'Buffer', 'technologist' ),
				'vkontakte' => esc_html__( 'Vkontakte', 'technologist' ),
				'reddit'    => esc_html__( 'Reddit', 'technologist' ),
			],
		],
		'std'      => [
			'enabled'  => [
				'facebookshare' => esc_html__( 'Facebook Share', 'technologist' ),
				'twitter'       => esc_html__( 'Twitter', 'technologist' ),
				'pinterest'     => esc_html__( 'Pinterest', 'technologist' ),
			],
			'disabled' => [
				'facebook'  => esc_html__( 'Facebook Like', 'technologist' ),
				'whatsapp'  => esc_html__( 'WhatsApp', 'technologist' ),
				'linkedin'  => esc_html__( 'LinkedIn', 'technologist' ),
				'mix'       => esc_html__( 'Mix', 'technologist' ),
				'telegram'  => esc_html__( 'Telegram', 'technologist' ),
				'tumblr'    => esc_html__( 'Tumblr', 'technologist' ),
				'pocket'    => esc_html__( 'Pocket', 'technologist' ),
				'buffer'    => esc_html__( 'Buffer', 'technologist' ),
				'vkontakte' => esc_html__( 'Vkontakte', 'technologist' ),
				'reddit'    => esc_html__( 'Reddit', 'technologist' ),
			],
		],
	],

];
