<?php
/**
 * Subscribe widget
 *
 * @package Technologist
 */

$menus['subscribe-widget'] = [
	'icon'  => 'fa-envelope-o',
	'title' => esc_html__( 'Subscribe Widget', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control the subscribe widget.', 'technologist' ),
];

$sections['subscribe-widget'] = [

	[
		'id'       => 'subscribe_widget_background',
		'type'     => 'background',
		'title'    => esc_html__( 'Background', 'technologist' ),
		'sub_desc' => esc_html__( 'Set footer background color, pattern and image from here.', 'technologist' ),
		'options'  => [
			'color'         => '',            // false to disable, not needed otherwise.
			'image_pattern' => $mts_patterns, // false to disable, array of options otherwise ( required !!! ).
			'image_upload'  => '',            // false to disable, not needed otherwise.
			'repeat'        => [],       // false to disable, array of options to override default ( optional ).
			'attachment'    => [],       // false to disable, array of options to override default ( optional ).
			'position'      => [],       // false to disable, array of options to override default ( optional ).
			'size'          => [],       // false to disable, array of options to override default ( optional ).
			'gradient'      => '',            // false to disable, not needed otherwise.
			'parallax'      => [],       // false to disable, array of options to override default ( optional ).
		],
		'std'      => [
			'color'         => '#19202d',
			'use'           => 'pattern',
			'image_pattern' => 'nobg',
			'image_upload'  => '',
			'repeat'        => 'repeat',
			'attachment'    => 'scroll',
			'position'      => 'left top',
			'size'          => 'cover',
			'gradient'      => [
				'from'      => '#ffffff',
				'to'        => '#000000',
				'direction' => '0deg',
			],
			'parallax'      => '0',
		],
	],
	[
		'id'       => 'subscribe_widget_padding',
		'type'     => 'margin',
		'title'    => esc_html__( 'Padding', 'technologist' ),
		'sub_desc' => esc_html__( 'Set footer padding from here.', 'technologist' ),
		'std'      => [
			'top'    => technologist_px2rem( '35px' ),
			'right'  => technologist_px2rem( '30px' ),
			'bottom' => technologist_px2rem( '25px' ),
			'left'   => technologist_px2rem( '30px' ),
		],
	],

	// Subscribe Box Settings.
	[
		'id'    => 'subscribe_widget_fields_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Subscribe Box Settings', 'technologist' ),
	],
	[
		'id'       => 'subscribe_widget_fields_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Fields Background Color', 'technologist' ),
		'sub_desc' => esc_html__( 'Select fields background color from here.', 'technologist' ),
		'std'      => '#ffffff',
	],
	[
		'id'       => 'subscribe_widget_field_border',
		'type'     => 'border',
		'title'    => esc_html__( 'Fields Border', 'technologist' ),
		'sub_desc' => esc_html__( 'Select fields border', 'technologist' ),
	],
	[
		'id'       => 'subscribe_widget_border_radius',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'Border Radius', 'technologist' ),
		'sub_desc' => esc_html__( 'Fields border radius in px.', 'technologist' ),
		'std'      => '8',
		'args'     => [ 'type' => 'number' ],
	],
	[
		'id'       => 'subscribe_widget_button_color',
		'type'     => 'color',
		'title'    => esc_html__( 'Button Background Color', 'technologist' ),
		'sub_desc' => esc_html__( 'Select button background color from here.', 'technologist' ),
		'std'      => '#6379a2',
	],

	[
		'id'    => 'subscribe_widget_typography_heading',
		'type'  => 'heading',
		'title' => esc_html__( 'Typography', 'technologist' ),
	],
	[
		'id'    => 'subscribe_widget_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Title Font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Get notified of the best deals on our WordPress themes.',
			'preview-color' => 'dark',
			'font-family'   => 'Big Shoulders Display',
			'font-weight'   => '600',
			'font-size'     => '28px',
			'margin-top'    => '0px',
			'line-height'   => '1',
			'color'         => '#ffffff',
			'css-selectors' => '.sidebar .widget #wp-subscribe .title, footer .widget #wp-subscribe .title',
		],
	],
	[
		'id'    => 'subscribe_widget_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Sign up to recieve news and updates',
			'preview-color' => 'dark',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '11px',
			'color'         => '#ffffff',
			'css-selectors' => '.sidebar .widget #wp-subscribe p.text, .sidebar .widget #wp-subscribe .wps-consent-wrapper label, .sidebar .widget #wp-subscribe p.footer-text, footer .widget #wp-subscribe p.text, footer .widget #wp-subscribe .wps-consent-wrapper label, footer .widget #wp-subscribe p.footer-text',
		],
	],
	[
		'id'    => 'subscribe_widget_fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Fields Font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Fields Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '400',
			'font-size'     => '13px',
			'margin-bottom' => '10px',
			'color'         => '#000000',
			'css-selectors' => '.sidebar .widget #wp-subscribe input.email-field, .sidebar .widget #wp-subscribe input.name-field, footer .widget #wp-subscribe input.email-field, footer .widget #wp-subscribe input.name-field',
		],
	],

];
