<?php
/**
 * Typography tab
 *
 * @package Technologist
 */

$menus['typography-collection'] = [
	'icon'       => 'fa-text-width',
	'title'      => esc_html__( 'Typography', 'technologist' ),
	'hide_title' => true,
];

$sections['typography-collection'] = [

	[
		'id'    => 'typography-collections',
		'type'  => 'typography_collections',
		'title' => esc_html__( 'Theme Typography', 'technologist' ),
		'desc'  => esc_html__( 'From here, you can control the fonts used on your site. You can choose from 17 standard font sets, or from the Google Fonts Library containing 800+ fonts.', 'technologist' ),
	],

	[
		'id'    => 'technologist_logo',
		'type'  => 'typography',
		'title' => esc_html__( 'Logo Font', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Technologist',
			'preview-color'  => 'dark',
			'font-family'    => 'Big Shoulders Display',
			'font-weight'    => '600',
			'font-size'      => technologist_px2rem( '28px' ),
			'color'          => '#ffffff',
			'line-height'    => '0.7',
			'letter-spacing' => technologist_letter_spacing( '28px', '60' ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#logo a, .logo',
		],
	],

	[
		'id'    => 'primary_navigation_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Navigation', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Navigation Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '15px',
			'color'          => '#48556a',
			'letter-spacing' => technologist_letter_spacing( '13px', -19 ),
			'css-selectors'  => '#primary-navigation li a',
		],
	],

	[
		'id'    => 'content_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Content Font', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Content Font',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '16px',
			'line-height'    => technologist_line_height( '16px', '32' ),
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '16px', -19 ),
			'css-selectors'  => 'body',
		],
	],

	[
		'id'    => 'readmore_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Read More Font', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Read the story',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '400',
			'font-size'      => '15px',
			'line-height'    => '1',
			'letter-spacing' => technologist_letter_spacing( '15px', '333' ),
			'color'          => '#3d3636',
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '.readMore a',
		],
	],

	[
		'id'       => 'single_page_titles_font',
		'type'     => 'typography',
		'title'    => esc_html__( 'Single Sections Title', 'technologist' ),
		'sub_desc' => esc_html__( 'Manage Title typography of Tags, Comments and Reply from here.', 'technologist' ),
		'std'      => [
			'preview-text'  => 'Title Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '700',
			'font-size'     => '20px',
			'line-height'   => '1',
			'color'         => '#19202d',
			'css-selectors' => '#respond h4, .total-comments',
		],
	],

	[
		'id'    => 'fields_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Text Fields Font', 'technologist' ),
		'std'   => [
			'preview-text'  => 'Text Fields Font',
			'preview-color' => 'light',
			'font-family'   => 'Montserrat',
			'font-weight'   => '600',
			'font-size'     => '13px',
			'color'         => '#19202d',
			'css-selectors' => 'input#author, .contact-form input[type="text"], input#email, input#url, #commentform textarea, .contact-form textarea, .widget #s',
		],
	],

	[
		'id'    => 'submit_button_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Submit Button Font', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Post Comment',
			'preview-color'  => 'dark',
			'font-family'    => 'Big Shoulders Display',
			'font-weight'    => '600',
			'font-size'      => '16px',
			'color'          => '#ffffff',
			'letter-spacing' => technologist_letter_spacing( '16px', '125' ),
			'additional-css' => 'text-transform: uppercase;',
			'css-selectors'  => '#commentform input#submit, #mtscontact_submit',
		],
	],

	[
		'id'    => 'h1_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H1 Heading in Content', 'technologist' ),
		'std'   => [
			'preview-text'   => 'H1 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => technologist_px2rem( '32px' ),
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '32px', '-19' ),
			'css-selectors'  => 'h1',
		],
	],

	[
		'id'    => 'h2_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H2 Heading in Content', 'technologist' ),
		'std'   => [
			'preview-text'   => 'H2 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => technologist_px2rem( '30px' ),
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '30px', '-19' ),
			'css-selectors'  => 'h2',
		],
	],

	[
		'id'    => 'h3_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H3 Heading in Content', 'technologist' ),
		'std'   => [
			'preview-text'   => 'H3 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => technologist_px2rem( '28px' ),
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '28px', '-19' ),
			'css-selectors'  => 'h3',
		],
	],

	[
		'id'    => 'h4_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H4 Heading in Content', 'technologist' ),
		'std'   => [
			'preview-text'   => 'H4 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => technologist_px2rem( '26px' ),
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '26px', '-19' ),
			'css-selectors'  => 'h4',
		],
	],

	[
		'id'    => 'h5_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H5 Heading in Content', 'technologist' ),
		'std'   => [
			'preview-text'   => 'H5 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => technologist_px2rem( '24px' ),
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '24px', '-19' ),
			'css-selectors'  => 'h5',
		],
	],

	[
		'id'    => 'h6_headline',
		'type'  => 'typography',
		'title' => esc_html__( 'H6 Heading in Content', 'technologist' ),
		'std'   => [
			'preview-text'   => 'H6 Headline',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => technologist_px2rem( '22px' ),
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '22px', '-19' ),
			'css-selectors'  => 'h6',
		],
	],

	[
		'id'       => 'typography-subsets',
		'type'     => 'multi_checkbox',
		'title'    => esc_html__( 'Character sets', 'technologist' ),
		'sub_desc' => esc_html__( 'Choose the character sets you wish to include. Please note that not all sets are available for all fonts.', 'technologist' ),
		'options'  => [
			'latin'        => esc_html__( 'Latin', 'technologist' ),
			'latin-ext'    => esc_html__( 'Latin Extended', 'technologist' ),
			'cyrillic'     => esc_html__( 'Cyrillic', 'technologist' ),
			'cyrillic-ext' => esc_html__( 'Cyrillic Extended', 'technologist' ),
			'greek'        => esc_html__( 'Greek', 'technologist' ),
			'greek-ext'    => esc_html__( 'Greek Extended', 'technologist' ),
			'vietnamese'   => esc_html__( 'Vietnamese', 'technologist' ),
			'khmer'        => esc_html__( 'Khmer', 'technologist' ),
			'devanagari'   => esc_html__( 'Devanagari', 'technologist' ),
		],
		'std'      => [ 'latin' ],
	],
];
