<?php
/**
 * Woocommerce Styling
 *
 * @package Technologist
 */

if ( ! technologist_is_woocommerce_active() ) {
	return;
}

$menus['woocommerce']['child']['woocommerce-styling'] = [
	'title' => esc_html__( 'Styling', 'technologist' ),
	'desc'  => esc_html__( 'From here, you can control WooCommerce Styling.', 'technologist' ),
];

$sections['woocommerce-styling'] = [

	[
		'id'    => 'woo_single_title_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Page Title Font', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Single Page Title',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '700',
			'font-size'      => '28px',
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '28px', '-19' ),
			'css-selectors'  => '.woocommerce div.product .product_title, .woocommerce-page div.product .product_title',
		],
	],
	[
		'id'    => 'woo_single_text_font',
		'type'  => 'typography',
		'title' => esc_html__( 'Single Page Text Font', 'technologist' ),
		'std'   => [
			'preview-text'   => 'Single Page Text',
			'preview-color'  => 'light',
			'font-family'    => 'Montserrat',
			'font-weight'    => '500',
			'font-size'      => '16px',
			'line-height'    => technologist_line_height( '16px', '32' ),
			'color'          => '#19202d',
			'letter-spacing' => technologist_letter_spacing( '16px', -19 ),
			'css-selectors'  => '.woocommerce .woocommerce-product-details__short-description, .woocommerce div.product .woocommerce-tabs .panel p',
		],
	],

];
