<?php
/**
 * WooCommerce Tab
 *
 * @package Technologist
 */

if ( ! technologist_is_woocommerce_active() ) {
	return;
}

$menus['woocommerce'] = [
	'icon'  => 'fa-shopping-cart',
	'title' => esc_html__( 'Woocommerce', 'technologist' ),
];

$menus['woocommerce']['child']['woocommerce-general'] = [
	'title' => esc_html__( 'General', 'technologist' ),
	'desc'  => esc_html__( 'Setting here apply both for the archive and search pages.', 'technologist' ),
];

$sections['woocommerce-general'] = [

	[
		'id'       => 'woocommerce_shop_items',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'WooCommerce Number of Products per Page', 'technologist' ),
		'sub_desc' => esc_html__( 'Controls the number of products that display per page.', 'technologist' ),
		'args'     => [ 'type' => 'number' ],
		'std'      => '9',
	],

	[
		'id'       => 'woocommerce_shop_page_columns',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'WooCommerce Number of Product Columns', 'technologist' ),
		'sub_desc' => esc_html__( 'Controls the number of columns for the main shop and archive pages.', 'technologist' ),
		'args'     => [ 'type' => 'number' ],
		'std'      => '3',
	],

	[
		'id'       => 'woocommerce_related_items',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'WooCommerce Related/Up-Sell/Cross-Sell Product Number', 'technologist' ),
		'sub_desc' => esc_html__( 'Controls the number of products for the related and up-sell products on single posts and cross-sells on cart page.', 'technologist' ),
		'args'     => [ 'type' => 'number' ],
		'std'      => '4',
	],

	[
		'id'       => 'woocommerce_related_columns',
		'type'     => 'text',
		'class'    => 'small-text',
		'title'    => esc_html__( 'WooCommerce Related/Up-Sell/Cross-Sell Product Number of Columns', 'technologist' ),
		'sub_desc' => esc_html__( 'Controls the number of columns for the related and up-sell products on single posts and cross-sells on cart page.', 'technologist' ),
		'args'     => [ 'type' => 'number' ],
		'std'      => '4',
	],
];
