<?php
/**
 * The template for displaying search results pages.
 *
 * @package Technologist
 */

get_header();

?>

	<div id="wrapper" class="clearfix">

		<div class="container">

		<?php
		/**
		 * Hook: Breadcrumbs.
		 *
		 * @hooked render - 10
		 */
		technologist_action( 'before_article' );
		?>

			<div class="article">

				<?php
				// Elementor 'archive' location.
				if ( ! technologist_is_elementor( 'archive' ) ) {
					?>

					<div id="content_box">

						<?php if ( have_posts() ) : ?>

							<h1 class="page-title">
								<?php
								// translators: search query.
								printf( esc_html__( 'Search Results for: %s', 'technologist' ), '<span>' . get_search_query() . '</span>' );
								?>
							</h1>
						<?php else : ?>
							<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'technologist' ); ?></h1>
						<?php endif; ?>

						<?php
						if ( 'above' === technologist_get_settings( 'search_position' ) ) {
							get_search_form();
						}
						?>

						<section id="latest-posts" class="layout-default clearfix">

							<?php
							if ( have_posts() ) {
								while ( have_posts() ) {
									the_post();
									technologist_blog_articles( 'default' );
								}
							} else {
								get_template_part( 'template-parts/no', 'results' );
							}

							if ( have_posts() ) {
								technologist_pagination( technologist_get_settings( 'mts_pagenavigation_type' ) );
							}
							wp_reset_postdata();
							?>

						</section>

						<?php
						if ( 'below' === technologist_get_settings( 'search_position' ) ) {
							get_search_form();
						}
						?>
					</div>

					<?php technologist_action( 'after_content' ); ?>

					<?php
				}
				?>

			</div>

			<?php get_sidebar(); ?>

		</div><!-- end of .container -->

<?php
get_footer();
