<?php
/**
 * Header Layout Default
 *
 * @package Technologist
 */

if ( technologist_get_settings( 'sticky_nav' ) ) { ?>
	<div class="clear" id="catcher"></div>
<?php } ?>
<header<?php technologist_attr( 'header' ); ?>>

<?php if ( ! technologist_is_elementor( 'header' ) ) { ?>

	<div class="container">

		<div<?php technologist_attr( 'header_container' ); ?>>

			<div class="logo-wrap">
				<?php technologist_logo(); ?>
			</div>

			<!-- Navigation -->
			<?php get_template_part( 'template-parts/header/header', 'primary-nav' ); ?>

			<!-- Search Form -->
			<?php
			/**
			 * Add search icon
			 *
			 * @hooked get_search_box - 10 (outputs header search icon)
			 */
			technologist_action( 'header_search', 'icon' );
			?>

		</div><!--#header-->

	</div><!--.container-->

	<?php
	/**
	 * Add search form
	 *
	 * @hooked get_search_box - 10 (outputs header search form)
	 */
	technologist_action( 'header_search', 'form' );
}
?>

</header>

<?php
get_template_part( 'template-parts/header/header', 'nav-adcode' );

/**
 * Get Trending Posts.
 *
 * @hooked get_trending_posts - 10 (outputs animated trending posts)
 */
technologist_action( 'trending_posts' );

$is_header_ad = show_section_on( technologist_get_settings( 'header_adcode_show' ) );
$is_header_ad ? get_template_part( 'template-parts/header/header', 'adcode' ) : '';
