<?php
/**
 * Header Primary Nav
 *
 * @package Technologist
 */

$header_layout = technologist_get_settings( 'header_styles' );
?>

<div<?php technologist_attr( 'menu', 'primary' ); ?>>

	<a href="#" id="pull" class="toggle-mobile-menu"></a>
	<?php if ( has_nav_menu( 'mobile' ) ) { ?>

		<nav class="navigation clearfix">
			<?php
			// Primary Navigation.
			if ( has_nav_menu( 'primary-menu' ) ) {
				wp_nav_menu( [
					'theme_location' => 'primary-menu',
					'menu_class'     => 'menu clearfix',
					'container'      => '',
					'walker'         => new technologist_menu_walker(),
				] );
			}
			?>
		</nav>
		<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
			<?php
			// Mobile Menu.
			if ( has_nav_menu( 'mobile' ) ) {
				wp_nav_menu( [
					'theme_location' => 'mobile',
					'menu_class'     => 'menu clearfix',
					'container'      => '',
					'walker'         => new technologist_menu_walker(),
				] );
			}
			?>
		</nav>

	<?php } else { ?>

		<nav class="navigation clearfix mobile-menu-wrapper">
			<?php
			// Primary Navigation.
			if ( has_nav_menu( 'primary-menu' ) ) {
				wp_nav_menu( [
					'theme_location' => 'primary-menu',
					'menu_class'     => 'menu clearfix',
					'container'      => '',
					'walker'         => new technologist_menu_walker(),
				] );
			}
			?>
		</nav>

	<?php } ?>

</div><!-- nav -->
