<?php
/**
 * Posts Layout - 1
 *
 * @package Technologist
 */

$count          = 0;
$featured       = technologist()->featured_layouts;
$u_id           = $featured->current['unique_id'];
$is_excerpt_on  = technologist_get_settings( 'show_excerpt_' . $u_id );
$excerpt_length = $featured->current['excerpt_length'];
?>

<div class="<?php $featured->get_post_container_class(); ?>">

	<div class="container clear">

	<?php
	// Elementor 'archive' location.
	if ( ! technologist_is_elementor( 'archive' ) ) {
		?>

		<?php $featured->get_section_title(); ?>

		<?php technologist_action( 'start_content_box' ); ?>

		<section class="<?php echo esc_attr( $featured->current['layout'] ); ?> clearfix">
			<?php
			while ( have_posts() ) :
				the_post();
				++$count;

				$classes = [
					'latestPost',
					1 === $count % 2 ? 'big' : 'small',
					'excerpt',
					'clearfix',
				];
				?>
				<article <?php post_class( $classes ); ?> id="post-<?php the_ID(); ?>">

					<?php technologist_post_thumbnail( $featured->current['layout'], $count ); ?>

					<div class="wrapper">

						<header>
							<?php

							technologist_the_post_meta( 'blog', 'top', $u_id );

							technologist_post_title();

							technologist_the_post_meta( 'blog', 'bottom', $u_id );

							?>
						</header>

						<?php technologist_post_content( $is_excerpt_on, $excerpt_length ); ?>

					</div>

				</article>
				<?php

			endwhile;

			$featured->get_post_pagination();
			?>
		</section>

		<?php
	}
	?>

	</div><!--.container-->

</div>
