<?php
/**
 * Posts Layout - 3
 *
 * @package Technologist
 */

$count          = 0;
$featured       = technologist()->featured_layouts;
$u_id           = $featured->current['unique_id'];
$is_excerpt_on  = technologist_get_settings( 'show_excerpt_' . $u_id );
$excerpt_length = $featured->current['excerpt_length'];
?>

<div class="<?php $featured->get_post_container_class(); ?>">

	<div class="container clear">

		<div class="<?php technologist_article_class(); ?>">

			<?php
			// Elementor 'archive' location.
			if ( ! technologist_is_elementor( 'archive' ) ) {
				?>

				<?php $featured->get_section_title(); ?>

				<?php technologist_action( 'start_content_box' ); ?>

				<section class="<?php echo esc_attr( $featured->current['layout'] ); ?> clearfix">
					<?php
					while ( have_posts() ) :
						the_post();
						++$count;

						$classes = [
							'latestPost',
							1 === $count ? 'big' : 'small',
							'excerpt',
							'clearfix',
						];

						if ( 1 === $count ) {
							echo '<div class="left-post">';
						}
						if ( 2 === $count ) {
							echo '<div class="right-posts">';
						}
						?>

						<article <?php post_class( $classes ); ?> id="post-<?php the_ID(); ?>">

							<?php technologist_post_thumbnail( $featured->current['layout'], $count ); ?>

							<div class="wrapper">

								<header>
									<?php

									technologist_the_post_meta( 'blog', 'top', $u_id );

									technologist_post_title();

									technologist_the_post_meta( 'blog', 'bottom', $u_id );

									?>
								</header>

								<?php technologist_post_content( $is_excerpt_on, $excerpt_length ); ?>

							</div>

						</article>
						<?php

						if ( 1 === $count ) {
							echo '</div>';
						}
						if ( ( $wp_query->current_post + 1 ) === ( $wp_query->post_count ) ) {
							echo '</div>';
						}

					endwhile;

					$featured->get_post_pagination();
					?>
				</section>

				<?php
			}
			?>

		</div>

	</div><!--.container-->

</div>
